include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

aux_source_directory(${CMAKE_CURRENT_SOURCE_DIR}/src SRC)

add_library(libcount STATIC ${SRC})

add_executable(counter main.cpp)

target_link_libraries(counter libcount)

add_subdirectory(tests)
